AWS
action EMR

# modify_instance_groups_instance_count

Modify the number of instances in an instance group

Run it now
View details

Type | action
Module | chaosaws.emr.actions
Name | modify_instance_fleet
Return | mapping

Usage

JSON

    {
      "name": "modify-instance-groups-instance-count",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.emr.actions",
        "func": "modify_instance_groups_instance_count",
        "arguments": {
          "cluster_id": "",
          "group_id": "",
          "instance_count": 0
        }
      }
    }

YAML

    name: modify-instance-groups-instance-count
    provider:
      arguments:
        cluster_id: ""
        group_id: ""
        instance_count: 0
      func: modify_instance_groups_instance_count
      module: chaosaws.emr.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
cluster_id | string |  | Yes | Cluster ID |
group_id | string |  | Yes | Group ID |
instance_count | integer |  | Yes | Group Size | Target size for the instance group

- cluster_id: The cluster id
- group_id: The instance group id
- instance_count: The target size for the instance group

Signature

    def modify_instance_groups_instance_count(
            cluster_id: str,
            group_id: str,
            instance_count: int,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action EMR

  ## `modify_instance_groups_shrink_policy`

  Modify an instance groups shrink operations
- AWS
  action EMR

  ## `modify_instance_fleet`

  Modify the on-demand and spot capacities for an instance fleet
- AWS
  probe EMR

  ## `list_cluster_fleet_instances`

  Get a list of instance fleet instances associated with the EMR cluster